#!/usr/bin/env python3

import cv2
import numpy as np

HEADER = """\
#ifndef _CHARSET_H
#define _CHARSET_H

#include <stdint.h>

%s

#endif // _CHARSET_H\
"""

if __name__ == '__main__':
  im = cv2.imread('charset.png')[:, :, 0]
  rows = [ '{ %s }' % ', '.join([ '0b%s' % ''.join(map(str, x)) for x in ((im[i*7:(i+1)*7, j*5:(j+1)*5] == 0) * 1).T]) for i in range(16) for j in range(16) ]
  charset = 'const uint8_t PROGMEM CHARSET[256][5] = {\n  %s\n};' % ',\n  '.join(rows)
  print(HEADER % charset)
